"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.retry = void 0;
async function retry(fn, retries = 3, delay = 100) {
    try {
        return await fn();
    }
    catch (e) {
        if (retries > 0) {
            await new Promise((resolve) => setTimeout(resolve, delay));
            return retry(fn, retries - 1, delay);
        }
        throw e;
    }
}
exports.retry = retry;
//# sourceMappingURL=async.js.map